W32api Functions
w32api_init_dtype
W32api Functions
PHP Manual

# w32api_deftype

Defines a type for use with other w32api_functions

### Description

bool w32api_deftype ( string `$typename` , string `$member1_type` , string `$member1_name` [, string `$...` [, string `$...` ]] )

You need to call this function if you would like to define a type for a w32api call.

### Parameters

`typename`

  The name of the type.

`member1_type`

  A member type can be a user defined type. All the type names are case sensitive. Built in type names should be provided in lowercase.

`member1_name`

  The member name of `member1_type`.

`...`

`...`

This function takes 2n+1 arguments, where n is the number of members the type has. After that is the type of the member followed by the members name (in pairs).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.